Skip to main content
GET
/
v2
/
legal-entities
/
{countryCode}
/
{legalEntityId}
/
documents
Documents
curl --request GET \
  --url https://api.bizzy.ai/v2/legal-entities/{countryCode}/{legalEntityId}/documents \
  --header 'Authorization: Bearer <token>'
{
    "identifier": {
        "legalEntityId": "1778186251",
        "countryCode": "BE",
        "name": "Bizzy AI",
        "isPrimary": true
    },
    "data": [
        {
            "id": "69094085",
            "internalId": "BE-25335726-2025-06-05",
            "date": "2025-06-05",
            "title": "OFFICIËLE DOCUMENTEN",
            "url": "https://www.ejustice.just.fgov.be/document/123456.pdf",
            "source": "SourcesBeEjustice",
            "types": [
                "ANNUAL_ACCOUNTS"
            ]
        }
    ],
    "pagination": {
        "limit": 4,
        "offset": 0,
        "total": 1
    }
}

Request

Accept-Language
string
default:"EN"
  • NL: Dutch - FR: French - EN: English

Path

countryCode
string
required
Any supported country code — see Supported countries.
Obfuscated legalEntityId returned by the company legal entities endpoint.

Query

limit
number
default:"4"
Number of items to return per page. (max 500)
offset
number
default:"0"
Number of items to skip
{
    "identifier": {
        "legalEntityId": "1778186251",
        "countryCode": "BE",
        "name": "Bizzy AI",
        "isPrimary": true
    },
    "data": [
        {
            "id": "69094085",
            "internalId": "BE-25335726-2025-06-05",
            "date": "2025-06-05",
            "title": "OFFICIËLE DOCUMENTEN",
            "url": "https://www.ejustice.just.fgov.be/document/123456.pdf",
            "source": "SourcesBeEjustice",
            "types": [
                "ANNUAL_ACCOUNTS"
            ]
        }
    ],
    "pagination": {
        "limit": 4,
        "offset": 0,
        "total": 1
    }
}